package cn.wisenergy.web.admin.controller.app;

import cn.wisenergy.common.utils.R;
import cn.wisenergy.model.dto.UserSimpleInfoDto;
import cn.wisenergy.model.dto.UsersInfoDto;
import cn.wisenergy.service.app.TestUserService;
import cn.wisenergy.web.common.BaseController;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @author ASUS
 */
@Api(tags = "用户管理（Test）")
@RestController
@Slf4j
public class TestUserController2 extends BaseController {

    @Autowired
    private TestUserService testUserService;

    @ApiOperation(value = "获取下一级用户的信息", notes = "获取下一级用户的信息", httpMethod = "GET")
    @ApiImplicitParam(name = "userId", value = "用户id", dataType = "int")
    @GetMapping("/users/getDownUsersInfoById")
    public R<List<UserSimpleInfoDto>> getDownUserInfoById(Long userId) {
        log.info("TestUserController2[]getDownUsersInfoById[]input.param.userId:" + userId);
        List<UserSimpleInfoDto> users = testUserService.getDownUserInfoById(userId);
        return R.ok(users);
    }

    @ApiOperation(value = "获取用户详细信息", notes = "获取用户详细信息", httpMethod = "GET")
    @ApiImplicitParam(name = "userId", value = "用户id", dataType = "int")
    @GetMapping("/users/getUserInfoById")
    public R<UsersInfoDto> getUserInfoById(Long userId) {
        log.info("TestUserController2[]getUserInfoById[]input.param.userId:" + userId);
        UsersInfoDto user = testUserService.getUserInfoById(userId);
        return R.ok(user);
    }



}
